Subject: Re: linux-next: usb tree build failure

From: Greg KH <[email-masked]>
Date: Mon, 20 Oct 2008 11:45:15 -0700

On Fri, Oct 17, 2008 at 04:41:50AM +0400, Dmitry wrote:
> 2008/10/17 Stephen Rothwell <[email-masked]>:
> > Hi Dmitry,
> >
> > On Fri, 17 Oct 2008 01:36:13 +0400 Dmitry Baryshkov <[email-masked]> wrote:
> >>
> >> After few tries I can come with pretty simple but pretty strange solution:
> >>
> >> >From 1c6dd41e074c5f526fc29b00a2bf265497d2819d Mon Sep 17 00:00:00 2001
> >> From: Dmitry Baryshkov <[email-masked]>
> >> Date: Fri, 17 Oct 2008 01:30:15 +0400
> >> Subject: [PATCH] USB: unbreak recursive dependancy
> >>
> >> After addition of TMIO usb driver Kconfig sees the recursive dependency
> >> Break it by rephrasing ARCH_PNX4008 OHCI deps.
> >
> > I will add this to today's linux-next, thanks.
> 
> Thank you. However I suggest to take this as a precaution. As kernel
> grows, various interdeps
> also grow. I fear that soon we will have to rewrite Kconfig
> depencencies to take care
> upon impossible combinations of symbols (the chain that raised this
> topic is impossible,
> as I said before).

I've merged this into the original offending patch now so that there are
no build breakages.

thanks,

greg k-h